#data must be in wide format like this: data = data.frame(m1 = measure1, m2 = measure2, p1 = param1, p2=param2, p3 = param3)

# so on some sample data which I am calling "r" where the measure I want to perform PRCCs on is called "Collagen" and the parameters I varied are in columns 518:546...

# read in file to perform PRCCs on
library(spartan)
source("/Users/evansst/Documents/Useful R Scripts/prcc_from_workspace.R")
source("/Users/evansst/Documents/Useful R Scripts/prcc_from_workspace_other.R")
source("/Users/evansst/Documents/Useful R Scripts/prcc_from_workspace_over_time.R")

r = read.csv("/Users/evansst/Downloads/fibro_switch_combo_actuall_switch_july2.csv")

# params: the column names for the parameters that you want to perform PRCCs on (I didnt want to use the column in 11th position as it wasnt really varied)
params = colnames(r)[518:546]
params = params[-11]


lhc_generatePRCoEffs_from_workspace_over_time(r, params, "Collagen",
                                              "prcc_collagen", 7200)

head(prcc_collagen)


ggplot(prcc_collagen[prcc_collagen$Collagen_PValue > 0.05,]) + geom_bar(aes(x = Parameter, y = Collagen_Estimate), stat = "identity")+theme_to_use(x = "Parameter", y = "PRCC (Collagen)", size = 16) + theme(axis.text.x = element_text(angle = 90, hjust = 1))
